Bug 40327 - default samba smb.conf doesn't work with Win98
default samba smb.conf doesn't work with Win98
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-11 18:49 EDT by eino jacobs
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-11 18:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eino jacobs 2001-05-11 18:49:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
When starting Samba on a linux box using the default smb.conf file provided
with
RedHat Linux 7.1, you can't connect to it with a Windows 98 PC using its
network neighborhood. So, out of the box, Samba is not usable for 90% of
the people!!!!

I found out that it is REQUIRED to set up encrypted passwords for Samba on
the linux box, such as is explained for Windows NT in the Customization
guide.
Please explain clearly in this book, that this chapter also applies to
Win98 and later;
Please also explain clearly that ALMOST EVERYBODY has to install encrypted
passwords, something that ought to be taken care of by RedHat
out-of-the-box.

  

How reproducible:
Always

Steps to Reproduce:
1. Activate Samba on the linux box using the default smb.conf
2. Try to browse to the linux box from a Win98 PC using its network
neighborhood
3. Win98 asks for authentication; after typing your correct password, an
authentication failure occurs
	

Additional info:
Comment 1 Helge Deller 2001-05-25 08:31:11 EDT
Yes I see that you think it is unusable for 90% of the users, but still there 
is a big amount of people who use Windows 3.1, Win95 or standard Win98 (please 
remember, that encrypted passwords were the first time introduced in the Win9X 
products with the Win98 Second-Edition!).

Also, if you want to connect to a samba server in a big network, where you 
both have old and new versions of windows you will _need_ to disable encrypted 
passwords on all machines.

This is also documented in the smb.conf file:
# You may wish to use password encryption. Please read
# ENCRYPTION.txt, Win95.txt and WinNT.txt in the Samba documentation.
# Do not enable this option unless you have read those documents
;  encrypt passwords = yes
;  smb passwd file = /etc/samba/smbpasswd

That said:
I will leave encrypted passwords disabled in the samba 2.0 product, 
BUT: 
I will enable encrypted passwords by default in the next samba 2.2 release, 
which we will ship with Red Hat Linux > 7.1


Note You need to log in before you can comment on or make changes to this bug.